StartCodeRemediation - AWS Security Agent

StartCodeRemediation

Initiates code remediation for one or more security findings. This creates pull requests in integrated repositories to fix the identified vulnerabilities.

Request Syntax

POST /StartCodeRemediation HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "findingIds": [ "string" ], "pentestJobId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space.

Type: String

Required: Yes

findingIds

The list of finding identifiers to initiate code remediation for.

Type: Array of strings

Required: Yes

pentestJobId

The unique identifier of the pentest job that produced the findings.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 200

Response Elements

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: